using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class CarInsert : DataAccessBase
	{
		public CarInsert()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.TripleDES;
			base.Key = "123";
			base.IV = "abc";
			ConnectionString = ConfigurationManager.AppSettings["kygl2"];
			base.InitCommand("[dbo].[CarInsert]");
			ConfigParameter();
		}

		private SqlParameter paramID;
		public System.Int32 ID
		{
			get
			{
				return (System.Int32)paramID.Value;
			}
			set
			{
				paramID.Value = value;
			}
		}

		private SqlParameter paramOwnersID;
		public System.Int32 OwnersID
		{
			get
			{
				return (System.Int32)paramOwnersID.Value;
			}
			set
			{
				paramOwnersID.Value = value;
			}
		}

		private SqlParameter paramCarLicense;
		public System.String CarLicense
		{
			get
			{
				return (System.String)paramCarLicense.Value;
			}
			set
			{
				paramCarLicense.Value = value;
			}
		}

		private SqlParameter paramTransportCard;
		public System.String TransportCard
		{
			get
			{
				return (System.String)paramTransportCard.Value;
			}
			set
			{
				paramTransportCard.Value = value;
			}
		}

		private SqlParameter paramTransportCardIssueDate;
		public System.DateTime TransportCardIssueDate
		{
			get
			{
				return (System.DateTime)paramTransportCardIssueDate.Value;
			}
			set
			{
				paramTransportCardIssueDate.Value = value;
			}
		}

		private SqlParameter paramTransportCardFromDate;
		public System.DateTime TransportCardFromDate
		{
			get
			{
				return (System.DateTime)paramTransportCardFromDate.Value;
			}
			set
			{
				paramTransportCardFromDate.Value = value;
			}
		}

		private SqlParameter paramTransportCardToDate;
		public System.DateTime TransportCardToDate
		{
			get
			{
				return (System.DateTime)paramTransportCardToDate.Value;
			}
			set
			{
				paramTransportCardToDate.Value = value;
			}
		}

		private SqlParameter paramCarColor;
		public System.String CarColor
		{
			get
			{
				return (System.String)paramCarColor.Value;
			}
			set
			{
				paramCarColor.Value = value;
			}
		}

		private SqlParameter paramSeatNumber;
		public System.Int32 SeatNumber
		{
			get
			{
				return (System.Int32)paramSeatNumber.Value;
			}
			set
			{
				paramSeatNumber.Value = value;
			}
		}

		private SqlParameter paramEngine;
		public System.String Engine
		{
			get
			{
				return (System.String)paramEngine.Value;
			}
			set
			{
				paramEngine.Value = value;
			}
		}

		private SqlParameter paramChassis;
		public System.String Chassis
		{
			get
			{
				return (System.String)paramChassis.Value;
			}
			set
			{
				paramChassis.Value = value;
			}
		}

		private SqlParameter paramCarModel;
		public System.String CarModel
		{
			get
			{
				return (System.String)paramCarModel.Value;
			}
			set
			{
				paramCarModel.Value = value;
			}
		}

		private SqlParameter paramFuel;
		public System.String Fuel
		{
			get
			{
				return (System.String)paramFuel.Value;
			}
			set
			{
				paramFuel.Value = value;
			}
		}

		private SqlParameter paramAnnualDate;
		public System.String AnnualDate
		{
			get
			{
				return (System.String)paramAnnualDate.Value;
			}
			set
			{
				paramAnnualDate.Value = value;
			}
		}

		private SqlParameter paramCarinessRightCard;
		public System.String CarinessRightCard
		{
			get
			{
				return (System.String)paramCarinessRightCard.Value;
			}
			set
			{
				paramCarinessRightCard.Value = value;
			}
		}

		private SqlParameter paramCarinessRightCardIssueDate;
		public System.DateTime CarinessRightCardIssueDate
		{
			get
			{
				return (System.DateTime)paramCarinessRightCardIssueDate.Value;
			}
			set
			{
				paramCarinessRightCardIssueDate.Value = value;
			}
		}

		private SqlParameter paramCarinessRightCardFromDate;
		public System.DateTime CarinessRightCardFromDate
		{
			get
			{
				return (System.DateTime)paramCarinessRightCardFromDate.Value;
			}
			set
			{
				paramCarinessRightCardFromDate.Value = value;
			}
		}

		private SqlParameter paramCarinessRightCardToDate;
		public System.DateTime CarinessRightCardToDate
		{
			get
			{
				return (System.DateTime)paramCarinessRightCardToDate.Value;
			}
			set
			{
				paramCarinessRightCardToDate.Value = value;
			}
		}

		private SqlParameter paramOperateCard;
		public System.String OperateCard
		{
			get
			{
				return (System.String)paramOperateCard.Value;
			}
			set
			{
				paramOperateCard.Value = value;
			}
		}

		private SqlParameter paramOperateCardFromDate;
		public System.DateTime OperateCardFromDate
		{
			get
			{
				return (System.DateTime)paramOperateCardFromDate.Value;
			}
			set
			{
				paramOperateCardFromDate.Value = value;
			}
		}

		private SqlParameter paramOperateCardToDate;
		public System.DateTime OperateCardToDate
		{
			get
			{
				return (System.DateTime)paramOperateCardToDate.Value;
			}
			set
			{
				paramOperateCardToDate.Value = value;
			}
		}

		private SqlParameter paramOperateIssueDate;
		public System.DateTime OperateIssueDate
		{
			get
			{
				return (System.DateTime)paramOperateIssueDate.Value;
			}
			set
			{
				paramOperateIssueDate.Value = value;
			}
		}

		private SqlParameter paramCreateUser;
		public System.String CreateUser
		{
			get
			{
				return (System.String)paramCreateUser.Value;
			}
			set
			{
				paramCreateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateUser;
		public System.String UpdateUser
		{
			get
			{
				return (System.String)paramUpdateUser.Value;
			}
			set
			{
				paramUpdateUser.Value = value;
			}
		}

		private SqlParameter paramUpdateDateTime;
		public System.DateTime UpdateDateTime
		{
			get
			{
				return (System.DateTime)paramUpdateDateTime.Value;
			}
			set
			{
				paramUpdateDateTime.Value = value;
			}
		}

		private SqlParameter paramFlag;
		public System.Int16 Flag
		{
			get
			{
				return (System.Int16)paramFlag.Value;
			}
			set
			{
				paramFlag.Value = value;
			}
		}

		private SqlParameter paramFlagDateTime;
		public System.DateTime FlagDateTime
		{
			get
			{
				return (System.DateTime)paramFlagDateTime.Value;
			}
			set
			{
				paramFlagDateTime.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramID = new SqlParameter();
			paramID.ParameterName = "@ID";
			paramID.SqlDbType = SqlDbType.Int;
			paramID.Precision = 10;
			paramID.Scale = 0;
			paramID.Direction = ParameterDirection.InputOutput;
			paramID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramID);
			//--------------------------------------------------------
			paramOwnersID = new SqlParameter();
			paramOwnersID.ParameterName = "@OwnersID";
			paramOwnersID.SqlDbType = SqlDbType.Int;
			paramOwnersID.Precision = 10;
			paramOwnersID.Scale = 0;
			paramOwnersID.Direction = ParameterDirection.Input;
			paramOwnersID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramOwnersID);
			//--------------------------------------------------------
			paramCarLicense = new SqlParameter();
			paramCarLicense.ParameterName = "@CarLicense";
			paramCarLicense.SqlDbType = SqlDbType.VarChar;
			paramCarLicense.Size = 50;
			paramCarLicense.Direction = ParameterDirection.Input;
			paramCarLicense.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCarLicense);
			//--------------------------------------------------------
			paramTransportCard = new SqlParameter();
			paramTransportCard.ParameterName = "@TransportCard";
			paramTransportCard.SqlDbType = SqlDbType.VarChar;
			paramTransportCard.Size = 50;
			paramTransportCard.Direction = ParameterDirection.Input;
			paramTransportCard.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTransportCard);
			//--------------------------------------------------------
			paramTransportCardIssueDate = new SqlParameter();
			paramTransportCardIssueDate.ParameterName = "@TransportCardIssueDate";
			paramTransportCardIssueDate.SqlDbType = SqlDbType.DateTime;
			paramTransportCardIssueDate.Size = 16;
			paramTransportCardIssueDate.Scale = 3;
			paramTransportCardIssueDate.Direction = ParameterDirection.Input;
			paramTransportCardIssueDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTransportCardIssueDate);
			//--------------------------------------------------------
			paramTransportCardFromDate = new SqlParameter();
			paramTransportCardFromDate.ParameterName = "@TransportCardFromDate";
			paramTransportCardFromDate.SqlDbType = SqlDbType.DateTime;
			paramTransportCardFromDate.Size = 16;
			paramTransportCardFromDate.Scale = 3;
			paramTransportCardFromDate.Direction = ParameterDirection.Input;
			paramTransportCardFromDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTransportCardFromDate);
			//--------------------------------------------------------
			paramTransportCardToDate = new SqlParameter();
			paramTransportCardToDate.ParameterName = "@TransportCardToDate";
			paramTransportCardToDate.SqlDbType = SqlDbType.DateTime;
			paramTransportCardToDate.Size = 16;
			paramTransportCardToDate.Scale = 3;
			paramTransportCardToDate.Direction = ParameterDirection.Input;
			paramTransportCardToDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramTransportCardToDate);
			//--------------------------------------------------------
			paramCarColor = new SqlParameter();
			paramCarColor.ParameterName = "@CarColor";
			paramCarColor.SqlDbType = SqlDbType.VarChar;
			paramCarColor.Size = 50;
			paramCarColor.Direction = ParameterDirection.Input;
			paramCarColor.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCarColor);
			//--------------------------------------------------------
			paramSeatNumber = new SqlParameter();
			paramSeatNumber.ParameterName = "@SeatNumber";
			paramSeatNumber.SqlDbType = SqlDbType.Int;
			paramSeatNumber.Precision = 10;
			paramSeatNumber.Scale = 0;
			paramSeatNumber.Direction = ParameterDirection.Input;
			paramSeatNumber.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSeatNumber);
			//--------------------------------------------------------
			paramEngine = new SqlParameter();
			paramEngine.ParameterName = "@Engine";
			paramEngine.SqlDbType = SqlDbType.VarChar;
			paramEngine.Size = 50;
			paramEngine.Direction = ParameterDirection.Input;
			paramEngine.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramEngine);
			//--------------------------------------------------------
			paramChassis = new SqlParameter();
			paramChassis.ParameterName = "@Chassis";
			paramChassis.SqlDbType = SqlDbType.VarChar;
			paramChassis.Size = 50;
			paramChassis.Direction = ParameterDirection.Input;
			paramChassis.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramChassis);
			//--------------------------------------------------------
			paramCarModel = new SqlParameter();
			paramCarModel.ParameterName = "@CarModel";
			paramCarModel.SqlDbType = SqlDbType.VarChar;
			paramCarModel.Size = 50;
			paramCarModel.Direction = ParameterDirection.Input;
			paramCarModel.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCarModel);
			//--------------------------------------------------------
			paramFuel = new SqlParameter();
			paramFuel.ParameterName = "@Fuel";
			paramFuel.SqlDbType = SqlDbType.VarChar;
			paramFuel.Size = 50;
			paramFuel.Direction = ParameterDirection.Input;
			paramFuel.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFuel);
			//--------------------------------------------------------
			paramAnnualDate = new SqlParameter();
			paramAnnualDate.ParameterName = "@AnnualDate";
			paramAnnualDate.SqlDbType = SqlDbType.VarChar;
			paramAnnualDate.Size = 50;
			paramAnnualDate.Direction = ParameterDirection.Input;
			paramAnnualDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramAnnualDate);
			//--------------------------------------------------------
			paramCarinessRightCard = new SqlParameter();
			paramCarinessRightCard.ParameterName = "@CarinessRightCard";
			paramCarinessRightCard.SqlDbType = SqlDbType.VarChar;
			paramCarinessRightCard.Size = 50;
			paramCarinessRightCard.Direction = ParameterDirection.Input;
			paramCarinessRightCard.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCarinessRightCard);
			//--------------------------------------------------------
			paramCarinessRightCardIssueDate = new SqlParameter();
			paramCarinessRightCardIssueDate.ParameterName = "@CarinessRightCardIssueDate";
			paramCarinessRightCardIssueDate.SqlDbType = SqlDbType.DateTime;
			paramCarinessRightCardIssueDate.Size = 16;
			paramCarinessRightCardIssueDate.Scale = 3;
			paramCarinessRightCardIssueDate.Direction = ParameterDirection.Input;
			paramCarinessRightCardIssueDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCarinessRightCardIssueDate);
			//--------------------------------------------------------
			paramCarinessRightCardFromDate = new SqlParameter();
			paramCarinessRightCardFromDate.ParameterName = "@CarinessRightCardFromDate";
			paramCarinessRightCardFromDate.SqlDbType = SqlDbType.DateTime;
			paramCarinessRightCardFromDate.Size = 16;
			paramCarinessRightCardFromDate.Scale = 3;
			paramCarinessRightCardFromDate.Direction = ParameterDirection.Input;
			paramCarinessRightCardFromDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCarinessRightCardFromDate);
			//--------------------------------------------------------
			paramCarinessRightCardToDate = new SqlParameter();
			paramCarinessRightCardToDate.ParameterName = "@CarinessRightCardToDate";
			paramCarinessRightCardToDate.SqlDbType = SqlDbType.DateTime;
			paramCarinessRightCardToDate.Size = 16;
			paramCarinessRightCardToDate.Scale = 3;
			paramCarinessRightCardToDate.Direction = ParameterDirection.Input;
			paramCarinessRightCardToDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCarinessRightCardToDate);
			//--------------------------------------------------------
			paramOperateCard = new SqlParameter();
			paramOperateCard.ParameterName = "@OperateCard";
			paramOperateCard.SqlDbType = SqlDbType.VarChar;
			paramOperateCard.Size = 50;
			paramOperateCard.Direction = ParameterDirection.Input;
			paramOperateCard.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramOperateCard);
			//--------------------------------------------------------
			paramOperateCardFromDate = new SqlParameter();
			paramOperateCardFromDate.ParameterName = "@OperateCardFromDate";
			paramOperateCardFromDate.SqlDbType = SqlDbType.DateTime;
			paramOperateCardFromDate.Size = 16;
			paramOperateCardFromDate.Scale = 3;
			paramOperateCardFromDate.Direction = ParameterDirection.Input;
			paramOperateCardFromDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramOperateCardFromDate);
			//--------------------------------------------------------
			paramOperateCardToDate = new SqlParameter();
			paramOperateCardToDate.ParameterName = "@OperateCardToDate";
			paramOperateCardToDate.SqlDbType = SqlDbType.DateTime;
			paramOperateCardToDate.Size = 16;
			paramOperateCardToDate.Scale = 3;
			paramOperateCardToDate.Direction = ParameterDirection.Input;
			paramOperateCardToDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramOperateCardToDate);
			//--------------------------------------------------------
			paramOperateIssueDate = new SqlParameter();
			paramOperateIssueDate.ParameterName = "@OperateIssueDate";
			paramOperateIssueDate.SqlDbType = SqlDbType.DateTime;
			paramOperateIssueDate.Size = 16;
			paramOperateIssueDate.Scale = 3;
			paramOperateIssueDate.Direction = ParameterDirection.Input;
			paramOperateIssueDate.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramOperateIssueDate);
			//--------------------------------------------------------
			paramCreateUser = new SqlParameter();
			paramCreateUser.ParameterName = "@CreateUser";
			paramCreateUser.SqlDbType = SqlDbType.VarChar;
			paramCreateUser.Size = 50;
			paramCreateUser.Direction = ParameterDirection.Input;
			paramCreateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramCreateUser);
			//--------------------------------------------------------
			paramUpdateUser = new SqlParameter();
			paramUpdateUser.ParameterName = "@UpdateUser";
			paramUpdateUser.SqlDbType = SqlDbType.VarChar;
			paramUpdateUser.Size = 50;
			paramUpdateUser.Direction = ParameterDirection.Input;
			paramUpdateUser.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateUser);
			//--------------------------------------------------------
			paramUpdateDateTime = new SqlParameter();
			paramUpdateDateTime.ParameterName = "@UpdateDateTime";
			paramUpdateDateTime.SqlDbType = SqlDbType.DateTime;
			paramUpdateDateTime.Size = 16;
			paramUpdateDateTime.Scale = 3;
			paramUpdateDateTime.Direction = ParameterDirection.Input;
			paramUpdateDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUpdateDateTime);
			//--------------------------------------------------------
			paramFlag = new SqlParameter();
			paramFlag.ParameterName = "@Flag";
			paramFlag.SqlDbType = SqlDbType.SmallInt;
			paramFlag.Precision = 5;
			paramFlag.Scale = 0;
			paramFlag.Direction = ParameterDirection.Input;
			paramFlag.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlag);
			//--------------------------------------------------------
			paramFlagDateTime = new SqlParameter();
			paramFlagDateTime.ParameterName = "@FlagDateTime";
			paramFlagDateTime.SqlDbType = SqlDbType.DateTime;
			paramFlagDateTime.Size = 16;
			paramFlagDateTime.Scale = 3;
			paramFlagDateTime.Direction = ParameterDirection.Input;
			paramFlagDateTime.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramFlagDateTime);
		}
	}
}